# $Revision: 1.27 $, $Date: 2002/06/26 12:43:32 $
#
# Conditional build:
# _with_pthreads - with pthreads support
#
Summary:	General Input Interface library fo LibGGI
Summary(pl):	Biblioteka do obsugi urzdze wejciowych dla GGI
Name:		libgii
Version:	0.8.1
Release:	3
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.ggi-project.org/pub/ggi/ggi/current/%{name}-%{version}.tar.gz
Patch0:		%{name}-autoconf.patch
URL:		http://www.ggi-project.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc

%description
LibGII (General Input Interface) is intended to be to input what our
LibGGI (General Graphics Interface) library is to graphics. The goal
of LibGII is to provide a single easy to use, but yet powerful, API
for all possible input sources. However we are not there yet. The API
is far from set in stone yet, and is likely to change.

%description -l pl
Biblioteka LibGII (General Intput Interface) zostaa przewidziana do
obsugi urzdze wejciowych, podobnie jak LibGGI (General Graphics
Interface) - graficznych urzadze wyjciowych. Gwnym celem
biblioteki jest dostarczenie jednolitego i prostego w uyciu API dla
wszystkich moliwych urzdze wejciowych.

%package X11
Summary:	LibGII X11 input
Summary(pl):	LibGII - obsuga urzdze wejciowych w X11
Group:		Libraries
Requires:	%{name} = %{version}

%description X11
X11 input for GGI.

%description X11 -l pl
LibGII - obsuga urzdze wejciowych w X11.

%package devel
Summary:	Development part of LibGII
Summary(pl):	Cz dla programistw biblioteki LibGII
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development part of LibGII.

%description devel -l pl
Pliki potrzebne do programowania z wykorzystaniem LibGII.

%prep
%setup  -q
%patch0 -p1

%build
./autogen.sh
%configure \
	%{?_with_pthreads:--enable-mutexes=pthread} \
	%{?!debug:--disable-debug}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

install demos/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS doc/*.txt
%dir %{_sysconfdir}/ggi
%{_sysconfdir}/ggi/libgii.conf
%dir %{_libdir}/ggi
%dir %{_libdir}/ggi/filter
%dir %{_libdir}/ggi/input

%attr(755,root,root) %{_bindir}/mhub
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/ggi/filter/*.so
%attr(755,root,root) %{_libdir}/ggi/input/file.so
%attr(755,root,root) %{_libdir}/ggi/input/linux_evdev.so
%attr(755,root,root) %{_libdir}/ggi/input/linux_joy.so
%attr(755,root,root) %{_libdir}/ggi/input/linux_kbd.so
%attr(755,root,root) %{_libdir}/ggi/input/linux_mouse.so
%attr(755,root,root) %{_libdir}/ggi/input/mouse.so
%attr(755,root,root) %{_libdir}/ggi/input/null.so
%attr(755,root,root) %{_libdir}/ggi/input/spaceorb.so
%attr(755,root,root) %{_libdir}/ggi/input/stdin.so
%attr(755,root,root) %{_libdir}/ggi/input/tcp.so

%{_mandir}/man1/*
%{_mandir}/man7/*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xsendbut
%attr(755,root,root) %{_libdir}/ggi/input/x*.so

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%doc %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/ggi/*/*.la
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man9/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libgii.spec,v $
Revision 1.27  2002/06/26 12:43:32  trojan
- new %%doc packing infrastructure
- moved some docs from devel to main package
- release 3

Revision 1.26  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/02/02 20:22:17  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.23  2002/02/01 14:51:14  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.22  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/29 21:36:26  filon
- fixed broken %%doc
- release 2

Revision 1.20  2001/08/28 09:19:13  trojan
- updated to 0.8.1; STB
- updated %%files list

Revision 1.19  2001/08/10 13:32:00  trojan
- changed polish description
- added BuildRequires: autoconf, automake
- conditional pthreads support (not tested yet)
- conditional debug support

Revision 1.18  2001/07/24 16:43:21  qboosh
- fixed License - it's not GPL since 1998

Revision 1.17  2001/07/23 08:26:51  trojan
- updated to 0.8
- added patch (workarround)
- added ./autogen.sh before %configure
- updated %files list

Revision 1.16  2001/01/22 13:37:01  kloczek
- updated to 0.7.

Revision 1.15  2000/11/03 06:18:56  kloczek
- release 4: use new rpm automation.

Revision 1.14  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.13  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.9  1999/12/30 20:04:20  kloczek
- adapter(ized),
- added missing pl translations,
- cosmetics.

Revision 1.8  1999/12/27 21:48:14  alchemyx
- removed empty %pre*
- release++

Revision 1.7  1999/07/20 12:48:08  wiget
- switch to rpm 3.0.2

Revision 1.6  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.5  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jun 20 1999 Jacek Konieczny <jajcus@pld.org.pl>
  [0.6-2]
- X11 subpackage added

* Tue May 18 1999 Artur Frysiak <wiget@pld.org.pl>
  [0.6-1]
- first version (writed from templete.spec)
